/*      q_x_inv.c

Task:	Read in 2 quaternions (8 doubles) from stdin or
        the command line. Runs a binary function, q_x_inv, from q_lib.c.
	Prints to STDOUT.

Author: Douglas B Sweetser, Sweetser@alum.mit.edu.

Copyright 2002 Douglas B Sweetser.

Compiled with: gcc -Wall -o q_x_inv q_x_inv.c q_lib.c -lm

See GPL license info at the end of this file.
*/


/* includes */
#include <stdio.h>
#include <stdlib.h>
#include <math.h>
#include "q_lib.h"

int main (int argc, char *argv[])
{
  /* Variables */
  int current_arg = 1;
  double q1[4], q2[4], q_out[4];

  /* Data input */
  /* from either argv or stdin, not both */

  while (get_q1_q2 (&current_arg, argc, argv, q1, q2) ) 
    {
      /* action */
      q_x_inv (q1, q2, q_out);

      /* data output */
      q_print (q_out);
    }

  /* Signals */
  return 0;
}


/*  License

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, version 2 of the License.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
